Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Install Compass and Sass in the virtualenv used for Acrylamid.

  • Loading branch information...
commit 82cdf3b3f3c50194ea92e677a0002b98aacafd28 1 parent 48c09ac
@markvl authored
View
3  .gitignore
@@ -1,6 +1,5 @@
.cache
-compass/Gem
-compass/.sass-cache
+.sass-cache
# Generated output
index.html
View
19 README.md
@@ -40,12 +40,18 @@ installed. If you don't, your best options are to:
To generate the CSS, you need to install Compass (and Sass)
first. Then you need to compile the Sass code to CSS.
- $ cd compass
- $ ./install
- $ ./compass compile
+To accomplish this, you need to install Compass and Sass. A nice way
+to do this is by using
+[virtualenvwrapper.gem](http://pypi.python.org/pypi/virtualenvwrapper.gem). Once
+this is installed you can use ``gem install`` and the Gems will be
+installed in your virtualenv library directory.
-(Note that this assumes you already cloned the repository, as described
-in the Acrylamid section.)
+ $ gem install sass --version="3.2.1"
+ $ gem install compass --version="0.13.alpha.0"
+
+(Note that these are the minimal versions this site needs at the
+moment. It is also assumed you already cloned the repository, as
+described in the Acrylamid section.)
If you now reload the site, the CSS should be in place and the site
should look pretty. :)
@@ -62,5 +68,4 @@ To have Acrylamid automatically refresh the HTML:
And to have Compass compile your CSS when needed:
- $ cd compass
- $ ./compass watch
+ $ compass watch
View
7 compass/compass.sh
@@ -1,7 +0,0 @@
-#!/bin/bash
-# compass/compass.sh - properly invoke the "Compass" program
-
-BASE=$(dirname $(readlink -f $(which "$0")))
-export GEM_HOME=$BASE/Gem
-export RUBYLIB=$BASE/Gem/lib
-$BASE/Gem/bin/compass "$@"
View
15 compass/install.sh
@@ -1,15 +0,0 @@
-#!/bin/bash
-# compass/install.sh - install Compass under the "./Gem" directory
-
-if ! which gem >/dev/null ;then
- echo 'Error: no "gem" command available'
- echo 'Please "sudo aptitude install rubygems1.8" or "ruby1.9.1"'
- exit 1
-fi
-
-BASE=$(dirname $(readlink -f $(which "$0")))
-cd $BASE # the directory where this script lives
-
-# Temporary version pins to get newer versions of sass and compass.
-gem install -i Gem sass --version="3.2.1"
-gem install -i Gem compass --version="0.13.alpha.0"
View
2  compass/config.rb → config.rb
@@ -2,7 +2,7 @@
# Set this to the root of your project when deployed:
http_path = "/"
-css_dir = "../output/css"
+css_dir = "output/css"
sass_dir = "sass"
images_dir = "images"
javascripts_dir = "javascripts"
View
0  compass/sass/_base.sass → sass/_base.sass
File renamed without changes
View
0  compass/sass/_normalize.sass → sass/_normalize.sass
File renamed without changes
View
0  compass/sass/ie.sass → sass/ie.sass
File renamed without changes
View
0  compass/sass/print.sass → sass/print.sass
File renamed without changes
View
2  compass/sass/screen.sass → sass/screen.sass
@@ -1,7 +1,7 @@
/*!
* You really should not be looking at this CSS file.
* You're better off checking out the original SASS files at
- * https://github.com/markvl/www.vlent.nl/compass/sass
+ * https://github.com/markvl/www.vlent.nl/sass/
*
@import base
Please sign in to comment.
Something went wrong with that request. Please try again.